number32_t Union Reference

`#include <ambix.h>`

## Public Attributes

float32_t | f
int32_t | i
uint32_t | u

## Detailed Description

a 32bit number (either float or int), useful for endianness operations

## Member Data Documentation

## f

float32_t number32_t::f

32bit floating point

## i

int32_t number32_t::i

32bit signed integer

## u

uint32_t number32_t::u

32bit unsigned integer

The documentation for this union was generated from the following file:

- ambix/ambix.h